<?php

use Slim\Routing\RouteCollectorProxy;
use App\Controllers\UserController;
use App\Controllers\ImageController;
use App\Controllers\QuoteController;
use App\Controllers\QuizController;

// Routes pour les Users
$app->group('/users', function (RouteCollectorProxy $group) {
    $group->get('', UserController::class . ':getUsers');
    $group->get('/{id}', UserController::class . ':getUser');
    $group->post('', UserController::class . ':createUser');
    $group->put('/{id}', UserController::class . ':updateUser');
    $group->delete('/{id}', UserController::class . ':deleteUser');
});

// Routes pour les Images
$app->group('/images', function (RouteCollectorProxy $group) {
    $group->get('', ImageController::class . ':getImages');
    $group->get('/{id}', ImageController::class . ':getImage');
    $group->post('', ImageController::class . ':createImage');
});

// Routes pour les Quotes
$app->group('/quotes', function (RouteCollectorProxy $group) {
    $group->get('', QuoteController::class . ':getQuotes');
    $group->get('/{id}', QuoteController::class . ':getQuote');
    $group->post('', QuoteController::class . ':createQuote');
    $group->delete('/{id}', QuoteController::class . ':deleteQuote');
});

// Routes pour les Quizzes
$app->group('/quizzes', function (RouteCollectorProxy $group) {
    $group->get('', QuizController::class . ':getQuizzes');
    $group->get('/{id}', QuizController::class . ':getQuiz');
    $group->post('', QuizController::class . ':createQuiz');
    $group->delete('/{id}', QuizController::class . ':deleteQuiz');
});
